# gds-button - Angular

## Import

```typescript
import { GdsButtonComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-button>
  <!-- content -->
</gds-button>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `click` | `click` | `(click)="handler($event)"` |
